Subject: Re: bug#26298: 26.0.50; Gnus fails to sign mail with PGP

From: Noam Postavsky <[email-masked]>
Date: Tue, 15 Aug 2017 11:23:04 -0400

On Tue, Aug 15, 2017 at 1:54 AM, Toon Claes <[email-masked]> wrote:
> [email-masked] writes:
>
>> Does the patch at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23619#14
>> help?  Maybe not since it doesn't look like mml1991.el calls
>> epg-context-set-passphrase-callback, although mml2015.el does.  Perhaps
>> mml1991.el should too?
>
> Well, actually it does help. The signing goes through mml2015.el and not
> through mml1991.el. Or, at least in my setup it does.

Okay, I don't really know how it works, I assumed mml1991.el is used
based on mml1991-sign showing up in the OP's backtrace.